gRPC C#
gRPC C#
Namespaces
Grpc.Core.Utils
Preconditions Class
Preconditions Methods
CheckArgument Method
CheckNotNull Method
CheckState Method

Preconditions Methods

Methods

| Name | Description
--- | --- | ---
| CheckArgument(Boolean) | Throws ArgumentException if condition is false.
| CheckArgument(Boolean, String) | Throws ArgumentException with given message if condition is false.
| CheckNotNull T (T) | Throws ArgumentNullException if reference is null.
| CheckNotNull T (T, String) | Throws ArgumentNullException if reference is null.
| CheckState(Boolean) | Throws InvalidOperationException if condition is false.
| CheckState(Boolean, String) | Throws InvalidOperationException with given message if condition is false.

Top
See Also

#### Reference

Preconditions Class
Grpc.Core.Utils Namespace